Oh no! Where's the JavaScript?
Your Web browser does not have JavaScript enabled or does not support JavaScript. Please enable JavaScript on your Web browser to properly view this Web site, or upgrade to a Web browser that does support JavaScript.
Sign In
Not a member yet? Click here to register.
afoster

External Wrapper Infusion

by afoster, Last updated on 3 months ago in Modifications and Requests - 8
I have uploaded version 8 from scratch and using the Arise theme. Cannot get the External Wrapper 3 to work with this version 8. It says it was infused but no admin page is displayed. Is there a version of the infurion that will work with version 8?
It will work, Just a admin_lang option was sneaked in on the latest Github. We are removing it for the pending update since older infusions can have issues.
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
That has nothing to do with PF-version, but with PHP >= 7.1

All old infusions the file infusion.php has to be extended as:


if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."schedule/infusion_db.php";

// Load locale file
if (file_exists(INFUSIONS."schedule/locale/".$settings['locale'].".php")) {
   include INFUSIONS."schedule/locale/".$settings['locale'].".php";
} else {
   include INFUSIONS."schedule/locale/English.php";
}

// For compat with >= PHP 7.1
$inf_adminpanel=array();
$inf_newtable=array();
$inf_insertdbrow=array();
$inf_droptable=array();


Check every array e.g. $inf_adminpanel and declare them as array.
Only the array's that are used need to be declared.

Maye this should be pinned somewhere on this site?
The world is full of kings and queens
Who blind your eyes and steal your dreams
It's heaven and hell
- Black Sabbath
@douwe_yntema : No , it is handled in the administration/infusions.php so people don´t need to update anything. Old Infusions I have tested work just fine on 8 and up to PHP 7.2.13!

@afoster : Try the latest Git now if you can, should be ok. If not, we´ll figure it out. https://github.com/php-fusion/PHP-Fus.../tree/8.00

1 field is require to drop if you do not do a new installation and did a install from a Git rev the past few days. ( admin > admin_language ) it will cause issues if left in there.
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
afoster has replied to this - 3 months ago

Falk wrote:

@Falk - @douwe_yntema : No , it is handled in the administration/infusions.php so people don´t need to update anything. Old Infusions I have tested work just fine on 8 and up to PHP 7.2.13!

@afoster : Try the latest Git now if you can, should be ok. If not, we´ll figure it out. https://github.com/php-fusion/PHP-Fusion/tree/8.00

1 field is require to drop if you do not do a new installation and did a install from a Git rev the past few days. ( admin > admin_language ) it will cause issues if left in there.


I would rather not do a complete re-install...where/how would I drop the admin > admin_language
If you do a new install it is all good, but the admin > admin_language is done by phpmyadmin for example.
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
There is no admin_language in the admin table...is that where I am supposed to look for it?

Merged on 01/06/2019:
Uploaded the new git version you linked to Falk, and the admin module is not working in that none of admin modules open when clicking on the down arrow. Any suggestions?
What php version are you running?
The world is full of kings and queens
Who blind your eyes and steal your dreams
It's heaven and hell
- Black Sabbath

Quote

If you do a new install it is all good,

Since you downloaded the latest Git I linked to and made a new install there are none. It was removed yesterday morning.
Make sure requirements are filled, Atleast PHP 5.6+ Also make sure you do not use MySQLi at this point.
Also make a hard refresh ( CTRL +F5 ).

Let me know how it goes, I am halting a pending release to see if we have a deeper issue not yet identified before a 2019 release of this.
Need help?, Having trouble?
• View our Documentation for Guides, Standards and Functions
• Name and Organize your content correctly in the corresponding Forums for best support results
• Attaching Log Files and Screenshots when reporting issues will help
• Please read and comply with the Code of Conduct

(¯`·._.·(¯`°·._.·°º*[ Project Manager ]*º°·._.·°´¯)·._.·´¯)
My version of php is 5.6.3, I am using PDO and have hard refreshed it many times. I also have a version of php-fusion 8 in another folder on the same domain. Can you tell me specifically where the field admin > admin_language is so that I can drop it in the version of php-fusion 8 that I still have running? I have deleted the other one I uploaded yesterday since the admin modules were not working.

Merged on 01/07/2019:
Still cannot get the external wrapper infusion to work. I have downloaded the "newer" version of php-fusion 8...it says that the wrapper has been infused, but it does not appear in the drop down list after clicking on the infusion module in admin.
You can view all discussion threads in this forum.
You can start a new discussion thread in this forum.
You cannot reply in this discussion thread.
You cannot start on a poll in this forum.
You cannot upload attachments in this forum.
You can download attachments in this forum.
Users who participated in discussion: Falk, afoster, douwe_yntema